<template>
  <div class="fixed w-full h-full z-10 bg-primary inset-0">
    <main class="max-w-quiz mx-auto shadow-2xl relative">
      <div
        class="absolute top-6 right-5 cursor-pointer"
        @click="$emit('close')"
      >
        <CloseIcon/>
      </div>
      <section class="pt-12 px-12 pb-8 flex flex-col items-center justify-center text-center">
        <div class="offer-img relative">
          <div class="sample-pack-badge"/>
        </div>
        <p class="mb-3 text-xs">CONGRATULATIONS</p>
        <div class="h1">Your sample pack discount has been applied.</div>
      </section>
      <section class="flex flex-col bg-white px-5 py-8">
        <p class="text-xs color-black-dark uppercase mb-8">you'll also get</p>
        <div class="flex flex-col space-y-6 mb-8">
          <div class="feature-item">
            <div class="feature-item__img doctor"/>
            <span class="text-base">FREE virtual doctor consultation</span>
          </div>
          <div class="feature-item">
            <div class="feature-item__img free-shipping"/>
            <span class="text-base">FREE 2-day expedited shipping</span>
          </div>
        </div>
        <CommonBtn
          text="Continue with offer"
          @click="$emit('accept')"
        />
      </section>
    </main>
  </div>
</template>

<script>
import CommonBtn from "@/components/common/CommonBtn";
import CloseIcon from "@/components/icons/CloseIcon";
export default {
name: "OfferModal",
  components: {CloseIcon, CommonBtn}
}
</script>

<style scoped>
.feature-item {
  @apply flex items-center;
}

.feature-item__img {
  @apply mr-2 bg-no-repeat bg-center bg-contain;
  width: 50px;
  height: 30px;
}

.feature-item__img.doctor {
  background-image: url("~@/assets/img/icons/doctor.png");
}

.feature-item__img.free-shipping {
  background-image: url("~@/assets/img/icons/free-shipping.png");
}

.offer-img {
  @apply mb-5 bg-no-repeat bg-center bg-contain;
  width: 215px;
  height: 165px;
  background-image: url("~@/assets/img/misc/sample-pack.png");
}

.sample-pack-badge {
  @apply absolute bottom-0 right-0 bg-no-repeat bg-center bg-contain;
  width: 78px;
  height: 78px;
  background-image: url("~@/assets/img/misc/sample-pack-badge.png");
}
</style>

